> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Grouped Product Bookings



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /activityebsapi/v1/productbookings
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /activityebsapi/v1/productbookings:
    post:
      tags:
        - ebs-controller
      summary: Grouped Product Bookings
      operationId: groupedProductBookingsUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductBookingsRequest'
        description: bookingRequest
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingsResponse'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    ProductBookingsRequest:
      type: object
      properties:
        additionalFields:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalFields'
        agency:
          $ref: '#/components/schemas/Agency'
        bookingDate:
          type: string
        bookingTimeId:
          type: string
        bookings:
          type: array
          items:
            $ref: '#/components/schemas/BookingRange'
        currencyCode:
          type: string
        customers:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        net:
          type: number
        orderReference:
          type: string
        pickupLocationId:
          type: string
        quantity:
          type: integer
          format: int32
        rrp:
          type: number
        voucherNumber:
          type: string
      title: ProductBookingsRequest
    BookingsResponse:
      type: object
      properties:
        bookings:
          type: array
          items:
            $ref: '#/components/schemas/BookingsResponseDetails'
        orderReference:
          type: string
      title: BookingsResponse
    AdditionalFields:
      type: object
      properties:
        values:
          type: object
          additionalProperties:
            type: string
      title: AdditionalFields
    Agency:
      type: object
      properties:
        agent:
          type: string
        branch:
          type: string
        branchCode:
          type: string
        phone:
          type: string
      title: Agency
    BookingRange:
      type: object
      properties:
        bookingDetailCustomers:
          type: array
          items:
            $ref: '#/components/schemas/BookingDetailCustomer'
        bookingDetails:
          type: array
          items:
            $ref: '#/components/schemas/BookingDetail'
        endDate:
          type: string
        productIdentifier:
          type: string
        startDate:
          type: string
      title: BookingRange
    Customer:
      type: object
      properties:
        customerCountry:
          type: string
        customerDateOfBirth:
          type: string
        customerEmail:
          type: string
        customerFirstName:
          type: string
        customerIndex:
          type: integer
          format: int32
        customerLastName:
          type: string
        customerPhone:
          type: string
        customerTitle:
          type: string
        voucherComment:
          type: string
      title: Customer
    BookingsResponseDetails:
      type: object
      properties:
        bookingDate:
          type: string
        bookingDetailCustomers:
          type: array
          items:
            $ref: '#/components/schemas/BookingsResponseCustomerDetails'
        voucherNumber:
          type: string
      title: BookingsResponseDetails
    BookingDetailCustomer:
      type: object
      properties:
        customerIndex:
          type: integer
          format: int32
      title: BookingDetailCustomer
    BookingDetail:
      type: object
      properties:
        additionalFields:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalFields'
        bookingDate:
          type: string
        bookingTimeId:
          type: string
        currencyCode:
          type: string
        net:
          type: number
        pickupLocationId:
          type: string
        quantity:
          type: integer
          format: int32
        rrp:
          type: number
        voucherNumber:
          type: string
      title: BookingDetail
    BookingsResponseCustomerDetails:
      type: object
      properties:
        bookingNotes:
          type: string
        bookingReferenceId:
          type: string
        customerIndex:
          type: integer
          format: int32
        errorMessage:
          type: string
        success:
          type: boolean
      title: BookingsResponseCustomerDetails

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.